Skip to content

Create client

Request

Creates a new client. Required: clientName, agencyId. Name-based fields (state, city, mailingState, mailingCity) are resolved to IDs via master data lookup. If parentClientId is provided, the parent must belong to the same agency.

Security
BearerAuth and ApiKeyAuth
Bodyapplication/jsonrequired
clientNamestringrequired

Client name (max 255 characters).

Example:"Acme Trucking"
agencyIdintegerrequired

Agency identifier.

Example:1
producerIdinteger or null

Producer identifier.

parentClientIdinteger or null

Parent client ID (must belong to the same agency).

clientTypestring or null

Client type.

dotstring or null

DOT (Department of Transportation) number.

dbaNamestring or null

DBA (Doing Business As) name.

descriptionstring or null

Client description.

userEmailstring or null

User email address.

address1string or null

Primary address line 1.

statestring or null

Primary state name or code (resolved to stateId).

Example:"Tennessee"
citystring or null

Primary city name (resolved to cityId, requires state).

Example:"Nashville"
zipstring or null

Primary ZIP code (max 20 characters).

mailingAddress1string or null

Mailing address line 1.

mailingStatestring or null

Mailing state name or code (resolved to mailingStateId).

mailingCitystring or null

Mailing city name (resolved to mailingCityId, requires mailingState).

mailingZipstring or null

Mailing ZIP code (max 20 characters).

yearsInBusinessinteger or null

Years in business (non-negative).

taxIdstring or null

Tax ID number.

clientAdditionalDetailsobject or null

Additional client details.

curl -i -X POST \
  https://docs.meshvi.com/_mock/apis/meshvi/v1/clients \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'apiKey: YOUR_API_KEY_HERE' \
  -d '{
    "clientName": "Acme Trucking",
    "agencyId": 1,
    "producerId": 0,
    "parentClientId": 0,
    "clientType": "string",
    "dot": "string",
    "dbaName": "string",
    "description": "string",
    "userEmail": "string",
    "address1": "string",
    "state": "Tennessee",
    "city": "Nashville",
    "zip": "string",
    "mailingAddress1": "string",
    "mailingState": "string",
    "mailingCity": "string",
    "mailingZip": "string",
    "yearsInBusiness": 0,
    "taxId": "string",
    "clientAdditionalDetails": {}
  }'

Responses

Client created successfully.